[Solved] boost/shared Present But Cannot Be Compiled - cross compiling
#1
Hi all, after the failure of the native compile on armhf machine, i'm trying to cross compile kodi, but after hours of fight i'm still getting this error
Quote:checking boost/shared_ptr.hpp usability... no
checking boost/shared_ptr.hpp presence... yes
configure: WARNING: boost/shared_ptr.hpp: present but cannot be compiled
configure: WARNING: boost/shared_ptr.hpp: check for missing prerequisite headers?
configure: WARNING: boost/shared_ptr.hpp: see the Autoconf documentation
configure: WARNING: boost/shared_ptr.hpp: section "Present But Cannot Be Compiled"
configure: WARNING: boost/shared_ptr.hpp: proceeding with the compiler's result
configure: WARNING: ## ------------------------------------ ##
configure: WARNING: ## Report this to http://issues.kodi.tv ##
configure: WARNING: ## ------------------------------------ ##
checking for boost/shared_ptr.hpp... no
configure: error: Could not find a required library. Please see the README for your platform.
Searching the net i haven't found a way to solve (or disable) that requirement...i installed all the possible libboost (dev too) but nothing happens Sad
here are the logs:
bootstrap
configure
sorry, but i'm understandig if and what i'm missing Confused

Cheers
Tk
Reply
#2
try the relevant files, config.log and config.log.err. they will hold the details.
Reply
#3
looks like you're missing a C++ cross compiler. Try g++-arm-linux-gnueabi(hf)
Reply
#4
Yessss....g++-arm was the missed package Confused
Installed, but now it give me a python errorSad
Quote:checking for a version of Python >= '2.1.0'... yes
checking for a version of Python >= 2.4... yes
checking for the distutils Python package... yes
checking for Python include path... -I/usr/include/python2.7
checking for Python library path... -L/usr/lib -lpython2.7
checking for Python site-packages path... /usr/lib/python2.7/dist-packages
checking python extra libraries... -lssl -lcrypto -lssl -lcrypto -L/usr/lib -lz -lpthread -ldl -lutil
checking python extra linking flags... -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
checking consistency of all components of python development environment... no
configure: error: in `/home/tokka/cubie-cc/kodi':
configure: error:
Could not link test program to Python. Maybe the main Python library has been
installed in some non-standard library path. If so, pass it to configure,
via the LDFLAGS environment variable.
Example: ./configure LDFLAGS="-L/usr/non-standard-path/python/lib"
============================================================================
ERROR!
You probably have to install the development version of the Python package
for your distribution. The exact name of this package varies among them.
============================================================================
(python-dev and python2.7-dev are installed)

Be patients please, is my first cross compile and i haven't found a full guide about to make it...if you have one to link me i'll appreciate Smile
i'm considering too to change the thread title for further issues...or it's better i open a new one?
Thanks guys Smile
Reply
#5
having the same issue here

did you find any solution ?
Reply
#6
you need to cross compile python as well
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
[Solved] boost/shared Present But Cannot Be Compiled - cross compiling00
This forum uses Lukasz Tkacz MyBB addons.